VERSION 5.00
Object = "{555E8FCC-830E-45CC-AF00-A012D5AE7451}#15.0#0"; "CODEJO~3.OCX"
Begin VB.MDIForm MDIForm1 
   BackColor       =   &H8000000C&
   Caption         =   "MDIForm1"
   ClientHeight    =   9285
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   13770
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   2  'CenterScreen
   Begin XtremeCommandBars.CommandBars CommandBars 
      Left            =   435
      Top             =   15
      _Version        =   983040
      _ExtentX        =   635
      _ExtentY        =   635
      _StockProps     =   0
   End
   Begin XtremeCommandBars.ImageManager ImageManager 
      Left            =   0
      Top             =   0
      _Version        =   983040
      _ExtentX        =   635
      _ExtentY        =   635
      _StockProps     =   0
      Icons           =   "MDIForm1.frx":0000
   End
End
Attribute VB_Name = "MDIForm1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim WithEvents Workspace As TabWorkspace
Attribute Workspace.VB_VarHelpID = -1

Public Sub LoadNewDoc()
    fIndex = FindFreeIndex()
    Document(fIndex).Tag = fIndex
    Document(fIndex).Caption = "New DataBase " & fIndex
    Document(fIndex).Show
    FPB.TreeView.Nodes.Item(1).Selected = True
    CommandBars.EnableOffice2007FrameHandle Document(fIndex).hWnd
End Sub

Private Sub CreateRibbonBar()
    Dim TabWrite As RibbonTab
    Dim PopupBar As CommandBar
    Dim MyGroup As RibbonGroup
    Dim MyBtn As CommandBarControl
    
    ' 
    Set RibbonBar = CommandBars.AddRibbonBar("IPG Notepad")
    RibbonBar.EnableDocking xtpFlagStretched
    RibbonBar.Customizable = True

    ' Ϙ      
    Set ControlFile = RibbonBar.AddSystemButton()
    ControlFile.Caption = "&File"
    ControlFile.IconId = 999
        
    'Home  
    Set TabWrite = RibbonBar.InsertTab(0, "&Home")
    TabWrite.ID = ID_TAB_HOME
    
    'File  
    Set MyGroup = TabWrite.Groups.AddGroup("File", 1)
    'File   
    Set MyBtn = MyGroup.Add(xtpControlButton, 1, "&New")
    MyBtn.KeyboardTip = "N"
    MyBtn.ToolTipText = "New (Ctrl+N)"
    MyBtn.DescriptionText = "Creates a new,blank database file."
    
    Set MyBtn = MyGroup.Add(xtpControlButton, 4, "&Open")
    MyBtn.KeyboardTip = "O"
    MyBtn.ToolTipText = "Open (Ctrl+O)"
    MyBtn.DescriptionText = "Open database file."
    
    Set MyBtn = MyGroup.Add(xtpControlButton, 12, "&Close")
    MyBtn.KeyboardTip = "CL"
    MyBtn.ToolTipText = "Close"
    MyBtn.DescriptionText = "Closes the Active database file."
    
    Set MyBtn = MyGroup.Add(xtpControlButton, 10, "&Print ")
    MyBtn.KeyboardTip = "P"
    MyBtn.ToolTipText = "Print (Ctrl+P)"
    MyBtn.DescriptionText = "Prints the active bookmarks."
    
    Set ControlSaveAs = MyGroup.Add(XtremeCommandBars.XTPControlType.xtpControlSplitButtonPopup, 5, "&Save")
    ControlSaveAs.BeginGroup = True
    ControlSaveAs.ToolTipText = "Save (Ctrl+S)"
    ControlSaveAs.DescriptionText = "Saves the active database."
    ControlSaveAs.CommandBar.Controls.Add XtremeCommandBars.XTPControlType.xtpControlButton, 6, "&Save"
    ControlSaveAs.CommandBar.Controls.Add XtremeCommandBars.XTPControlType.xtpControlButton, 8, "Save &As..."
    '---
    
    'Category  
    Set MyGroup = TabWrite.Groups.AddGroup("Category", 2)
    'Category  
    Set MyBtn = MyGroup.Add(xtpControlButton, 17, "Add")
    MyBtn.KeyboardTip = "A10"
    MyBtn.ToolTipText = "Add"
    MyBtn.DescriptionText = "Add a new category to database."
    
    Set MyBtn = MyGroup.Add(xtpControlButton, 18, "&Rename")
    MyBtn.KeyboardTip = "RE"
    MyBtn.ToolTipText = "Rename"
    MyBtn.DescriptionText = "Renames the selected category."
    
    Set MyBtn = MyGroup.Add(xtpControlButton, 19, "Move To")
    MyBtn.KeyboardTip = "MO"
    MyBtn.ToolTipText = "Move To"
    MyBtn.DescriptionText = "Moves the selected categories into a new category."
    '---
        
    CommandBars.Icons = ImageManager.Icons
End Sub

Private Sub CommandBars_Execute(ByVal Control As XtremeCommandBars.ICommandBarControl)
    Select Case Control.ID
        Case 1
            LoadNewDoc
            
        Case 17
            frmAddCategory.Show 1
    End Select
End Sub

Private Sub MDIForm_Load()
    CreateRibbonBar
    
    Set Workspace = CommandBars.ShowTabWorkspace(True)
    
    ReDim FState(1)
    ReDim Document(1)
    Document(1).Tag = 1
    FState(1).Dirty = False
    CommandBars.EnableOffice2007FrameHandle Document(1).hWnd

    FPB.TreeView.Nodes.Item(1).Selected = True
End Sub

Private Sub MDIForm_Unload(Cancel As Integer)
    For i = Forms.Count - 1 To 1 Step -1
        Unload Forms(i)
    Next
End Sub
